# Welcome to Jekyll!
#
# This config file is meant for settings that affect your whole blog, values
# which you are expected to set up once and rarely edit after that. If you find
# yourself editing this file very often, consider using Jekyll's data files
# feature for the data you need to update frequently.
#
# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'bundle exec jekyll serve'. If you change this file, please restart the server process.
#
# If you need help with YAML syntax, here are some quick references for you: 
# https://learn-the-web.algonquindesign.ca/topics/markdown-yaml-cheat-sheet/#yaml
# https://learnxinyminutes.com/docs/yaml/
#
# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.email }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.

title: IPTC Sport Schema
email: office@iptc.org
description: >- # this means to ignore newlines until "baseurl:"
  The next generation of sports data, based on IPTC's SportsML and semantic web principles.
  A high level model that describes the core elements of competitive sport.
baseurl: "/" # the subpath of your site, e.g. /blog
url: "https://www.sportschema.org/" # the base hostname & protocol for your site, e.g. http://example.com
twitter_username: iptc
github_username:  iptc

# Build settings
remote_theme: just-the-docs/just-the-docs
# theme: minima
plugins:
  - jekyll-feed

# Config for just-the-docs
# logo: "/images/iptc-logo.svg"
color_scheme: dark

callouts:
  warning:
    title: Warning
    color: red

# Aux links for the upper right navigation
aux_links:
  "IPTC Sport Schema on GitHub":
    - "//github.com/iptc/sport-schema"

# Makes Aux links open in a new tab. Default is false
aux_links_new_tab: false

mermaid:
  # Version of mermaid library
  # Pick an available version from https://cdn.jsdelivr.net/npm/mermaid/
  version: "9.2.2"

# External navigation links (rendered in left nav if included)
#nav_external_links:
#  - title: IPTC Sport Schema on GitHub
#    url: https://github.com/iptc/sport-schema

# Enable or disable heading anchors
heading_anchors: true

#collections:
# # Define a collection named "tests", its documents reside in the "_tests" directory
#ontologies:
#    permalink: "/:collection/:path/"
#    output: true

#just_the_docs:
#  collections:
#    ontologies:
#      name: Ontologies

# Footer "Edit this page on GitHub" link text
gh_edit_link: true # show or hide edit this page link
gh_edit_link_text: "Edit this page on GitHub"
gh_edit_repository: "https://github.com/iptc/sport-schema" # the github URL for your repo
gh_edit_branch: "gh-pages" # the branch that your docs is served from
gh_edit_source: docs # the source that your files originate from
gh_edit_view_mode: "tree" # "tree" or "edit" if you want the user to jump into the editor immediately

# Exclude from processing.
# The following items will not be processed, by default.
# Any item listed under the `exclude:` key here will be automatically added to
# the internal "default list".
#
# Excluded items can be processed by explicitly listing the directories or
# their entries' file path in the `include:` list.
#
exclude:
 - docs/README.md
 - tools/n3_to_jsonld/README.md 
#   - .sass-cache/
#   - .jekyll-cache/
#   - gemfiles/
#   - Gemfile
#   - Gemfile.lock
#   - node_modules/
#   - vendor/bundle/
#   - vendor/cache/
#   - vendor/gems/
#   - vendor/ruby/
